org.jbpm.ruleflow.core.validation

## Class RuleFlowProcessValidator

- java.lang.Object
- - org.jbpm.ruleflow.core.validation.RuleFlowProcessValidator

- All Implemented Interfaces:
    ProcessValidator

      public class RuleFlowProcessValidator
      extends Object
      implements ProcessValidator

  Default implementation of a RuleFlow validator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSOCIATIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(org.kie.api.definition.process.Process process, org.kie.api.io.Resource resource)`
    `protected void` | `addErrorMessage(RuleFlowProcess process, org.kie.api.definition.process.Node node, List<ProcessValidationError> errors, String message)`
    `boolean` | `compilationSupported()`
    `static RuleFlowProcessValidator` | `getInstance()`
    `protected void` | `validateCompensationIntermediateOrEndEvent(org.kie.api.definition.process.Node node, RuleFlowProcess process, List<ProcessValidationError> errors)`
    `ProcessValidationError[]` | `validateProcess(org.kie.api.definition.process.Process process)`
    `ProcessValidationError[]` | `validateProcess(RuleFlowProcess process)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ASSOCIATIONS

          public static final String ASSOCIATIONS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static RuleFlowProcessValidator getInstance()

    - #### validateProcess

          public ProcessValidationError[] validateProcess(RuleFlowProcess process)

    - #### validateProcess

          public ProcessValidationError[] validateProcess(org.kie.api.definition.process.Process process)

      Specified by:
        `validateProcess` in interface `ProcessValidator`

    - #### accept

          public boolean accept(org.kie.api.definition.process.Process process,
                                org.kie.api.io.Resource resource)

      Specified by:
        `accept` in interface `ProcessValidator`

    - #### validateCompensationIntermediateOrEndEvent

          protected void validateCompensationIntermediateOrEndEvent(org.kie.api.definition.process.Node node,
                                                                    RuleFlowProcess process,
                                                                    List<ProcessValidationError> errors)

    - #### compilationSupported

          public boolean compilationSupported()

      Specified by:
        `compilationSupported` in interface `ProcessValidator`

    - #### addErrorMessage

          protected void addErrorMessage(RuleFlowProcess process,
                                         org.kie.api.definition.process.Node node,
                                         List<ProcessValidationError> errors,
                                         String message)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.